#!/bin/bash
#SBATCH --job-name=cola_2_1_05_L64_N64_Np64_v4
#SBATCH --output=/data70/hoellinger/WIP3M/cola_2_1_05_L64_N64_Np64_v4/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/cola_2_1_05_L64_N64_Np64_v4/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=64                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=12:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=16
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
    --run_id cola_2_1_05_L64_N64_Np64_v4 \
    --L 64 \
    --N 64 \
    --Np 64 \
    --Npm 128 \
    --n_Tiles 16 \
    --z_i 19.0 \
    --z_f 0.0 \
    --plot_fields True \
    --scale_limiter "fac_p3m_fit" \
    --use_p3m_fit True \
    --scaling_p3m1 2.0 \
    --scaling_p3m2 1.0 \
    --scaling_p3m3 0.5

# export OMP_NUM_THREADS=32
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_2_1_05_L128_N128_Np128 \
#     --L 128 \
#     --N 128 \
#     --Np 128 \
#     --Npm 256 \
#     --n_Tiles 32 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --scale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --scaling_p3m1 2.0 \
#     --scaling_p3m2 1.0 \
#     --scaling_p3m3 0.5

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_432_L1024_N512_Np512 \
#     --L 1024 \
#     --N 512 \
#     --Np 512 \
#     --Npm 1024 \
#     --n_Tiles 128 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --scale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --scaling_p3m1 4.0 \
#     --scaling_p3m2 3.0 \
#     --scaling_p3m3 2.0

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_432_L128_N256_Np128 \
#     --L 128 \
#     --N 256 \
#     --Np 128 \
#     --Npm 256 \
#     --n_Tiles 32 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --scale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --scaling_p3m1 4.0 \
#     --scaling_p3m2 3.0 \
#     --scaling_p3m3 2.0

exit 0